File: .travis.yml

package info (click to toggle)
puppet-module-duritong-sysctl 0.0.11-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 124 kB
  • sloc: ruby: 161; sh: 15; makefile: 4
file content (29 lines) | stat: -rw-r--r-- 633 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
rvm:
  - 1.8.7
  - 1.9.3
  - 2.0.0
  - 2.1.0
  - 2.2.2
script: 'bundle exec rake'
env:
  - PUPPET_VERSION=2.7.25
  - PUPPET_VERSION=3.8.1
  - PUPPET_VERSION=4.0.0
  - PUPPET_VERSION=
matrix:
  exclude:
    # No support for Ruby 2.0 before Puppet 3.2
    - rvm: 2.0.0
      env: PUPPET_VERSION=2.7.25
    - rvm: 2.1.0
      env: PUPPET_VERSION=2.7.25
    - rvm: 2.2.2
      env: PUPPET_VERSION=2.7.25
    # https://tickets.puppetlabs.com/browse/PUP-3796
    - rvm: 2.2.2
      env: PUPPET_VERSION=3.8.1
    # no 1.8.7 support for puppet 4.0
    - rvm: 1.8.7
      env: PUPPET_VERSION=4.0.0
    - rvm: 1.8.7
      env: PUPPET_VERSION=